# multipart-reproducer
https://github.com/quarkusio/quarkus/issues/38703

In one shell, start the application using `./mvnw clean compile quarkus:dev`

In another, change directory to /src/main/resources and run the two cURLs below:

`curl -v -H 'Content-Type: multipart/form-data' -F 'example=@./example.jpg' http://localhost:8080/test`

curl -v -H 'Content-Type: multipart/form-data' -F 'example=<./example.jpg' http://localhost:8080/test

Take note of the content-length as reported by cURL:
```
ola@ola-ThinkPad-P1-Gen-4i ~/u/m/s/m/resources> curl -v -H 'Content-Type: multipart/form-data' -F 'example=<./example.jpg' http://localhost:8080/test
*   Trying 127.0.0.1:8080...
* Connected to localhost (127.0.0.1) port 8080 (#0)
> POST /test HTTP/1.1
> Host: localhost:8080
> User-Agent: curl/7.81.0
> Accept: */*
> Content-Length: 105216
> Content-Type: multipart/form-data; boundary=------------------------fb2446d85eb7eedc
> 
* We are completely uploaded and fine
* Mark bundle as not supporting multiuse
< HTTP/1.1 200 OK
< Content-Type: text/plain;charset=UTF-8
< content-length: 6
< 
* Connection #0 to host localhost left intact
190301⏎  
```

The example API method assumes you've passed the same file that exists in resources and will log the byte array lengths
from both the file read directly from resources and the contents passed by cURL:

```
//curl -v -H 'Content-Type: multipart/form-data' -F 'example=<./example.jpg' http://localhost:8080/test
2024-02-09 12:40:04,024 INFO  [org.acm.GreetingResource] (executor-thread-1) The length of the received part is 190,301 while the length of the same file read from resources is 105,048

//curl -v -H 'Content-Type: multipart/form-data' -F 'example=@./example.jpg' http://localhost:8080/test
2024-02-09 12:40:27,567 INFO  [org.acm.GreetingResource] (executor-thread-2) The length of the received part is 105,048 while the length of the same file read from resources is 105,048
```