package org.acme;

import io.quarkus.logging.Log;
import jakarta.ws.rs.POST;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.core.Response;

import java.security.MessageDigest;
import java.util.Base64;

@Path("/test")
public class GreetingResource {

    @POST
    public Response testMultipart(MultipartExample multipart) throws Exception {
        var bytes = GreetingResource.class.getResourceAsStream("/example.jpg").readAllBytes();
        Log.infov("The length of the received part is {0} while the length of the same file read from resources is {1}", multipart.example.length, bytes.length);
        return Response.ok(multipart.example.length).build();
    }

    public static byte[] calculateSHA256(byte[] bytes) throws Exception {
        MessageDigest md = MessageDigest.getInstance("SHA-256");
        var digest = md.digest(bytes);
        return Base64.getEncoder().encode(digest);
    }

}
